Save a designed voice
curl --request POST \
--url https://api.pyai.com/v1/voice/design/{id}/save \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidate_id": "c1",
"name": "Support, Nova",
"metadata": {}
}
'import requests
url = "https://api.pyai.com/v1/voice/design/{id}/save"
payload = {
"candidate_id": "c1",
"name": "Support, Nova",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({candidate_id: 'c1', name: 'Support, Nova', metadata: {}})
};
fetch('https://api.pyai.com/v1/voice/design/{id}/save', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"voice_id": "vd_7h16k",
"name": "Support, Nova",
"source": "design"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>"
}
}Speak
Save a designed voice
Enroll the chosen candidate as a permanent voice_id, usable immediately in POST /v1/audio/speech (voice: vd_…) and in Omni agents. Requires the voice:design scope.
POST
/
v1
/
voice
/
design
/
{id}
/
save
Save a designed voice
Authorizations
apiKeyxApiKey
Use Authorization: Bearer pyai_live_... (or pyai_test_...).
Path Parameters
Design id.
Body
application/json
⌘I